Bug 56708 - audio/xmms-flac LIB_DEPENDS needs updating
Summary: audio/xmms-flac LIB_DEPENDS needs updating
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Christian Weisgerber
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-09-11 17:20 UTC by Linh Pham
Modified: 2003-09-17 16:46 UTC (History)
0 users

See Also:


Attachments
xmms-flac_Makefile.diff (337 bytes, patch)
2003-09-11 17:20 UTC, Linh Pham
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Linh Pham 2003-09-11 17:20:14 UTC
Using the latest port revision of audio/xmms-flac (Makefile version of 1.2)
has the xmms LIB_DEPENDS pointing to xmms.3 which is no longer the current
xmms lib. Instead, it needs to point to xmms.4.

With the current port revision for audio/xmms-flac, compilation on a machine
with port revision for multimedia/xmms (Makefile version of 1.53) will fail
as it cannot find the xmms.3. I created a soft link from xmms.4 to xmms.4
and the port compile worked.

Fix: Apply the following diff to audio/xmms-flac Makefile.
How-To-Repeat: Download the current port revision of audio/xmms-flac (as of 11 Sept 2003)
and do a 'make install' on a machine that has multimedia/xmms installed
(latest revision as of 10 Sept 2003).
Comment 1 Christian Weisgerber freebsd_committer 2003-09-14 15:25:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->naddy

My port.
Comment 2 Christian Weisgerber freebsd_committer 2003-09-17 16:46:10 UTC
State Changed
From-To: open->closed

Committed, thanks.